Bug 615089 - autofs sometimes unable to lookup ldap directory entry
autofs sometimes unable to lookup ldap directory entry
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-15 17:47 EDT by Orion Poplawski
Modified: 2011-06-01 10:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 10:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
autofs debug log (412.48 KB, application/x-gzip)
2010-07-16 12:02 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2010-07-15 17:47:02 EDT
Description of problem:

Staring recently, periodically autofs is unable to  find a ldap entry:

Jul 15 15:42:47 orca automount[1200]: handle_packet: type = 3
Jul 15 15:42:47 orca automount[1200]: handle_packet_missing_indirect: token 2119, name sw, request pid 6658
Jul 15 15:42:47 orca automount[1200]: attempting to mount entry /data/sw
Jul 15 15:42:47 orca automount[1200]: lookup_mount: lookup(ldap): looking up sw
Jul 15 15:42:47 orca automount[1200]: dev_ioctl_send_fail: token = 2119
Jul 15 15:42:47 orca automount[1200]: failed to mount /data/sw


After a while (perhaps after some expire processing) it works again.

Jul 15 15:43:33 orca automount[1200]: st_expire: state 1 path /data4
Jul 15 15:43:33 orca automount[1200]: expire_proc: exp_proc = 3030375280 path /data4
Jul 15 15:43:33 orca automount[1200]: st_expire: state 1 path /nfs
Jul 15 15:43:33 orca automount[1200]: expire_proc: exp_proc = 3028269936 path /nfs
Jul 15 15:43:33 orca automount[1200]: st_expire: state 1 path /data
Jul 15 15:43:33 orca automount[1200]: expire_proc: exp_proc = 3029322608 path /data
Jul 15 15:43:33 orca automount[1200]: expire_proc_indirect: expire /nfs/local
Jul 15 15:43:33 orca automount[1200]: 1 remaining in /nfs
Jul 15 15:43:33 orca automount[1200]: expire_cleanup: got thid 3030375280 path /data4 stat 0
Jul 15 15:43:33 orca automount[1200]: expire_cleanup: sigchld: exp 3030375280 finished, switching from 2 to 1
Jul 15 15:43:33 orca automount[1200]: st_ready: st_ready(): state = 2 path /data4
Jul 15 15:43:33 orca automount[1200]: expire_cleanup: got thid 3028269936 path /nfs stat 3
Jul 15 15:43:33 orca automount[1200]: expire_cleanup: sigchld: exp 3028269936 finished, switching from 2 to 1
Jul 15 15:43:33 orca automount[1200]: st_ready: st_ready(): state = 2 path /nfs
Jul 15 15:43:33 orca automount[1200]: expire_cleanup: got thid 3029322608 path /data stat 0
Jul 15 15:43:33 orca automount[1200]: expire_cleanup: sigchld: exp 3029322608 finished, switching from 2 to 1
Jul 15 15:43:33 orca automount[1200]: st_ready: st_ready(): state = 2 path /data
Jul 15 15:43:35 orca automount[1200]: handle_packet: type = 3
Jul 15 15:43:35 orca automount[1200]: handle_packet_missing_indirect: token 2120, name sw, request pid 6677
Jul 15 15:43:35 orca automount[1200]: attempting to mount entry /data/sw
Jul 15 15:43:35 orca automount[1200]: lookup_mount: lookup(ldap): looking up sw
Jul 15 15:43:35 orca automount[1200]: do_bind: lookup(ldap): auth_required: 1, sasl_mech (null)
Jul 15 15:43:35 orca automount[1200]: do_bind: lookup(ldap): ldap simple bind returned 0
Jul 15 15:43:35 orca automount[1200]: lookup_one: lookup(ldap): searching for "(&(objectclass=automount)(|(cn=sw)(cn=/)(cn=\2A)))" under "ou=auto.data,dc=cora,dc=nwra,dc=com"
Jul 15 15:43:35 orca automount[1200]: lookup_one: lookup(ldap): getting first entry for cn="sw"
Jul 15 15:43:35 orca automount[1200]: lookup_one: lookup(ldap): examining first entry
Jul 15 15:43:35 orca automount[1200]: lookup_mount: lookup(ldap): sw -> saga:/export/sw
Jul 15 15:43:35 orca automount[1200]: parse_mount: parse(sun): expanded entry: saga:/export/sw
Jul 15 15:43:35 orca automount[1200]: parse_mount: parse(sun): gathered options: intr,rsize=32768,wsize=32768
Jul 15 15:43:35 orca automount[1200]: parse_mount: parse(sun): dequote("saga:/export/sw") -> saga:/export/sw
Jul 15 15:43:35 orca automount[1200]: parse_mount: parse(sun): core of entry: options=intr,rsize=32768,wsize=32768, loc=saga:/export/sw
Jul 15 15:43:35 orca automount[1200]: sun_mount: parse(sun): mounting root /data, mountpoint sw, what saga:/export/sw, fstype nfs, options intr,rsize=32768,wsize=32768
Jul 15 15:43:35 orca automount[1200]: mount_mount: mount(nfs): root=/data name=sw what=saga:/export/sw, fstype=nfs, options=intr,rsize=32768,wsize=32768
Jul 15 15:43:35 orca automount[1200]: mount_mount: mount(nfs): nfs options="intr,rsize=32768,wsize=32768", nosymlink=0, ro=0
Jul 15 15:43:35 orca automount[1200]: mount_mount: mount(nfs): calling mkdir_path /data/sw
Jul 15 15:43:35 orca automount[1200]: mount_mount: mount(nfs): calling mount -t nfs -s -o intr,rsize=32768,wsize=32768 saga:/export/sw /data/sw
Jul 15 15:43:35 orca automount[1200]: mount(nfs): mounted saga:/export/sw on /data/sw
Jul 15 15:43:35 orca automount[1200]: dev_ioctl_send_ready: token = 2120
Jul 15 15:43:35 orca automount[1200]: mounted /data/sw
Jul 15 15:43:35 orca automount[1200]: st_expire: state 1 path /home
Jul 15 15:43:35 orca automount[1200]: expire_proc: exp_proc = 3029322608 path /home
Jul 15 15:43:35 orca automount[1200]: expire_proc_indirect: expire /home/orion
Jul 15 15:43:35 orca automount[1200]: 1 remaining in /home
Jul 15 15:43:35 orca automount[1200]: expire_cleanup: got thid 3029322608 path /home stat 3
Jul 15 15:43:35 orca automount[1200]: expire_cleanup: sigchld: exp 3029322608 finished, switching from 2 to 1
Jul 15 15:43:35 orca automount[1200]: st_ready: st_ready(): state = 2 path /home

Version-Release number of selected component (if applicable):
autofs-5.0.5-26.fc13.i686
Comment 1 Ian Kent 2010-07-15 23:25:08 EDT
Can you post the entire debug log please.
Comment 2 Orion Poplawski 2010-07-16 12:02:02 EDT
Created attachment 432425 [details]
autofs debug log

Here's the full output from /var/log/messages for this week
Comment 3 Fedora Admin XMLRPC Client 2010-12-06 10:13:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2011-06-01 09:47:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Orion Poplawski 2011-06-01 10:58:51 EDT
I don't think we're having this problem anymore.

Note You need to log in before you can comment on or make changes to this bug.